Bug 224650 - /x display of floats should be printf("%a")
/x display of floats should be printf("%a")
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Depends On:
  Show dependency treegraph
Reported: 2007-01-26 16:07 EST by Jan Kratochvil
Modified: 2008-05-06 21:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 21:07:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2007-01-26 16:07:26 EST
Description of problem:
`p/x' of a float now displays its (unsigned) version while it should use the
format of printf("%a");

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. gdb gdb/testsuite/gdb.arch/i386-sse
2. b 71; run; print/x $xmm1

Actual results:
{v4_float = {0x0, 0xffffffff, 0x0, 0xffffffff}, v2_double = {0x0, 0x0}

Expected results:
{v4_float = {-0x1.[hex]e-11, -0x1.[hex], -1.[hex]e-11, -0x1.[hex]}

Additional info:
Comment 1 Jan Kratochvil 2007-02-24 13:00:57 EST
Upstream (re)post:

Upstream Emacs debugging counterargument:
Comment 2 Bug Zapper 2008-04-03 14:59:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:07:15 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.